# Uses of Class
com.opensymphony.module.sitemesh.Factory

Packages that use Factory
Package
Description
com.opensymphony.module.sitemesh
com.opensymphony.module.sitemesh.factory
com.opensymphony.module.sitemesh.taglib.page
com.opensymphony.sitemesh.compatability

## Uses of Factory in com.opensymphony.module.sitemesh

Methods in com.opensymphony.module.sitemesh that return Factory
Modifier and Type
Method
Description
`static Factory`
Factory.`getInstance(Config config)`
Entry-point for obtaining singleton instance of Factory.

## Uses of Factory in com.opensymphony.module.sitemesh.factory

Subclasses of Factory in com.opensymphony.module.sitemesh.factory
Modifier and Type
Class
Description
`class`
`BaseFactory`
Base Factory implementation.
`class`
`DefaultFactory`
DefaultFactory, reads configuration from the `sitemesh.configfile` init param, or `/WEB-INF/sitemesh.xml` if not specified, or uses the default configuration if `sitemesh.xml` does not exist.

## Uses of Factory in com.opensymphony.module.sitemesh.taglib.page

Fields in com.opensymphony.module.sitemesh.taglib.page declared as Factory
Modifier and Type
Field
Description
`private Factory`
ApplyDecoratorTag.`factory`

## Uses of Factory in com.opensymphony.sitemesh.compatability

Fields in com.opensymphony.sitemesh.compatability declared as Factory
Modifier and Type
Field
Description
`private final Factory`
PageParser2ContentProcessor.`factory`
Constructors in com.opensymphony.sitemesh.compatability with parameters of type Factory
Modifier
Constructor
Description
``
`PageParser2ContentProcessor(Factory factory)`